> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/identify-the-server-answering-on-a-high-availability-topology.md).

# Identifier le serveur qui répond dans une topologie à haute disponibilité

Déterminez quel serveur répond aux requêtes dans une topologie de haute disponibilité ou d'équilibrage des charges de Devolutions Server en ajoutant un en-tête de réponse HTTP personnalisé.

Les étapes suivantes expliquent comment déterminer quel serveur répond lors de la connexion à la page Web de Devolutions Server dans une topologie de haute disponibilité/équilibrage des charges.

1. Ouvrez le gestionnaire IIS sur le serveur où Devolutions Server est hébergé.
2. Développez les nœuds dans le volet ***Connexions*** et sélectionnez l'application Web Devolutions Server.
3. Ouvrez les ***En-têtes de réponse HTTP***.
4. Cliquez sur ***Ajouter***.. dans le volet ***Actions*** pour ajouter un nouvel ***En-tête de réponse HTTP***.
5. Entrez un ***Nom*** et une ***Valeur*** qui identifieront le serveur. Cliquez ensuite sur ***OK*** pour enregistrer cette information.
6. Répétez les étapes 1 à 5 sur chaque serveur de votre cluster de ***haute disponibilité/équilibrage des charges***. Il est important de définir une valeur différente pour chaque serveur, tout en conservant le même ***Nom***.
7. Ouvrez votre navigateur préféré.
8. Ouvrez les ***Outils de développement*** dans le navigateur. Habituellement, la touche ***F12*** ouvre les ***Outils de développement*** dans Google Chrome, Firefox ou Microsoft Edge.
9. Naviguez vers votre page Web Devolutions Server.
10. Avec Firefox, dans l'onglet ***Réseau***, vous devriez trouver la valeur de l'***En-tête de réponse HTTP personnalisé*** du serveur du cluster qui répond.

### Ligne de commande

```
%systemroot%\system32\inetsrv\APPCMD.EXE set config "Default Web Site" -section:system.webServer/httpProtocol /+"customHeaders.[name='X-Server-Name',value='node1']" /commit:apphost
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/identify-the-server-answering-on-a-high-availability-topology.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
